### Method

# Adw NavigationViewremove

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_remove (
      AdwNavigationView* self,
      AdwNavigationPage* page
    )

#### Description [src]

Removes `page` from `self`.

If `page` is currently in the navigation stack, it will be removed once it’s popped. Otherwise, it’s removed immediately.

See `adw_navigation_view_add()`.

Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The page to remove.

  The data is owned by the caller of the method.